# Programs Programs ## Gets all of the programs in the system. - [GET /programs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/listprograms.md): This method will scan all programs and and return them to the caller. ## Creates a new program record that does not already exist. - [POST /programs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/createprogram.md): This method will auto-generate an ID and create a new program. If an ID is specified for the program, an error will be thrown. ## Execute Batch Operations - [POST /programs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the programs in the system. - [GET /programs/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/listallprogramspublic.md): This method will scan all programs and and return them to the caller. ## Returns a program from the system by its ID. - [DELETE /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/deleteprogram.md): This method will delete a program with the specified ID. ## Returns a program from the system by its ID. - [GET /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/getprogram.md): This method will look up a program by the specified ID and return it back. ## Partially updates a program with the specified ID. - [PATCH /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/patchprogram.md): This method will patch an existing program with the specified ID, using the HTTP PATCH specification. ## Updates a program with the specified ID. - [PUT /programs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/programs/updateprogram.md): This method will update an existing program with the specified ID.